Package Details: magics++ 4.3.0-2

Git Clone URL: https://aur.archlinux.org/magics++.git (read-only, click to copy)
Package Base: magics++
Description: Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS.
Upstream URL: https://software.ecmwf.int/wiki/display/MAGP
Licenses: Apache
Submitter: graziano
Maintainer: graziano
Last Packager: graziano
Votes: 3
Popularity: 0.000001
First Submitted: 2016-03-28 17:02
Last Updated: 2020-03-19 17:12

Latest Comments

1 2 Next › Last »

mpejcoch commented on 2020-05-15 15:39

Unfortunately even the 4.3.3 version won't build.

collect2: error: ld returned 1 exit status
make[2]: *** [test/CMakeFiles/bufr_fortran.dir/build.make:122: test/bufr_fortran] Error 1
make[1]: *** [CMakeFiles/Makefile2:1974: test/CMakeFiles/bufr_fortran.dir/all] Error 2
[100%] Linking CXX executable ../../bin/magmlx
[100%] Linking CXX executable ../../bin/magjsonx
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_string'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_reset'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_destroy'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_trans'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_normalize_for_visualization'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_create_crs_to_crs'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_context_create'
collect2: error: ld returned 1 exit status
make[2]: *** [apps/MagMLInterpretor/CMakeFiles/magmlx.dir/build.make:121: bin/magmlx] Error 1
make[1]: *** [CMakeFiles/Makefile2:1891: apps/MagMLInterpretor/CMakeFiles/magmlx.dir/all] Error 2
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_string'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_reset'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_destroy'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_trans'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_normalize_for_visualization'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_create_crs_to_crs'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_context_create'

mpejcoch commented on 2020-05-15 15:37

diff --git a/PKGBUILD b/PKGBUILD
index f632b99..8503fb1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@

pkgname=magics++
Pkgname=Magics
-pkgver=4.3.0
+pkgver=4.3.3
_attnum=3473464
pkgrel=2
pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
@@ -14,7 +14,7 @@ depends=('qt5-base' 'proj' 'fftw' 'pango' 'netcdf-cxx-legacy' 'eccodes' 'python'
optdepends=('libaec' 'odb_api')
makedepends=('perl-xml-parser' 'gcc-fortran' 'swig' 'python2-numpy' 'cmake' 'boost' 'emos' 'python-jinja')
source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz)
-md5sums=('e5b1f222fe8a8766a7cfdd59ce7b3820')
+md5sums=('e91b559f891caf45722c589ee4b3186a')

build() {
cd "$srcdir/${Pkgname}-${pkgver}-Source"
@@ -34,7 +34,7 @@ build() {
    -DCMAKE_INSTALL_DATADIR=/usr/share \
    -DENABLE_METVIEW=1 -DENABLE_QT5=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 ..
    sed -i magics.pc-pkg-config-build.cmake -e '/REPLACE/s/++/\\\\+\\\\+/'
-  make || return 1
+  make -j$(nproc) || return 1
}

package() {

sankayop commented on 2019-12-05 12:44

Hi, I tried to build it via yay without success.

2 questions arose:

  • Do you have any idea where this error could come from:
[ 98%] Building C object libemos-sp/CMakeFiles/emos_sp.dir/pbio/gbyte_le.c.o
[ 98%] Linking Fortran static library ../lib/libemos.a
[ 98%] Built target emos_sp
make: *** [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: emos
  • is there another pkbuild building it with python 3?

Thanks in advance for your input and sorry for annoying :)

ram commented on 2019-01-04 08:09

happy new year!

I tried a fresh install and had to install python2-jinja to survive the cmake step. might be worth adding to the dependencies

cheers!

bderembl commented on 2018-07-12 14:27

I was able to compile it with python 3 as mentioned here https://confluence.ecmwf.int/display/MAGP/Magics

Also, I added python-jinja as another dependency

OdinEidolon commented on 2018-03-11 10:12

I get this error When building:

Scanning dependencies of target magics_params
[  1%] Generating params/Akima474MethodAttributes.h, params/Akima474MethodAttributes.cc
Traceback (most recent call last):
  File "/tmp/yaourt-tmp-adriano/aur-magics++/src/Magics-3.0.0-Source/src/../tools/xml2cc.py", line 2, in <module>
    import jinja2
ImportError: No module named jinja2
make[2]: *** [src/CMakeFiles/magics_params.dir/build.make:582: src/params/Akima474MethodAttributes.h] Error 1
make[1]: *** [CMakeFiles/Makefile2:1274: src/CMakeFiles/magics_params.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build().

However the /tmp/yaourt-tmp-adriano/aur-magics++/src/Magics-3.0.0-Source/src/../tools/xml2cc.py seems fine, I can load jinja2 without problems.

Installing python2-jinja fixes it.

ram commented on 2017-10-04 11:36

Hi!

I could not build the package unless I included an additional header to src/Magics-2.34.1-Source/src/boost/range/detail/range_return.hpp

#include <boost/next_prior.hpp>

otherwise boost::next and boost::prior are not definded

gcc 7.2 / boost 1.65.1-1

OvelixMax commented on 2017-06-11 01:38

@graziano, thank you for the answer... I reinstall eccodes before try to update magics++, but a new error appear now.

[ 99%] Linking CXX executable ../../bin/metgramx
CMakeFiles/metgramx.dir/metgramx.cc.o: En la función `TempFile::TempFile()':
/tmp/yaourt-tmp-ovel/aur-magics++/src/Magics-2.33.0-Source/apps/metgram/metgramx.cc:70: aviso: the use of `tmpnam' is dangerous, better use `mkstemp'
../../lib/libMagPlus.so: referencia a `NcVar::get(unsigned char*, long const*) const' sin definir
collect2: error: ld devolvió el estado de salida 1
make[2]: *** [apps/metgram/CMakeFiles/metgramx.dir/build.make:129: bin/metgramx] Error 1
make[1]: *** [CMakeFiles/Makefile2:2204: apps/metgram/CMakeFiles/metgramx.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
==> ERROR: Se produjo un fallo en build().
Cancelando…
==> ERROR: Makepkg no ha podido compilar magics++.
==> ¿Reiniciar la compilación de magics++? [s/N]

graziano commented on 2017-06-10 06:44

@OvelixMax, you need to recompile libeccodes because on your system gfortran has been upgraded.

OvelixMax commented on 2017-06-09 18:27

I have problem to compile the last version.

This is at the end of the compilation:

[ 99%] Generating _Magics.so
running build_ext
[ 99%] Built target build_swig_wrapper
[ 99%] Linking CXX executable ../../bin/metgramx
CMakeFiles/metgramx.dir/metgramx.cc.o: En la función `TempFile::TempFile()':
/tmp/yaourt-tmp-ovel/aur-magics++/src/Magics-2.33.0-Source/apps/metgram/metgramx.cc:70: aviso: the use of `tmpnam' is dangerous, better use `mkstemp'
/usr/bin/ld: warning: libgfortran.so.3, needed by /usr/lib/libeccodes_f90.so, not found (try using -rpath or -rpath-link)
/usr/lib/libeccodes_f90.so: referencia a `_gfortran_internal_unpack@GFORTRAN_1.0' sin definir
/usr/lib/libeccodes_f90.so: referencia a `_gfortran_internal_pack@GFORTRAN_1.0' sin definir
/usr/lib/libeccodes_f90.so: referencia a `_gfortran_os_error@GFORTRAN_1.0' sin definir
../../lib/libMagPlus.so: referencia a `NcVar::get(unsigned char*, long const*) const' sin definir
/usr/lib/libeccodes_f90.so: referencia a `_gfortran_concat_string@GFORTRAN_1.0' sin definir
collect2: error: ld devolvió el estado de salida 1
make[2]: *** [apps/metgram/CMakeFiles/metgramx.dir/build.make:129: bin/metgramx] Error 1
make[1]: *** [CMakeFiles/Makefile2:2204: apps/metgram/CMakeFiles/metgramx.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
==> ERROR: Se produjo un fallo en build().
Cancelando…
==> ERROR: Makepkg no ha podido compilar magics++.
==> ¿Reiniciar la compilación de magics++? [s/N]

I don't have libgfortran.so.3, I have libgfortran.so.4 that came from gcc-libs-multilib (7.1.1-3).